petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMSetMatrixPreallocateOnly

When DMCreateMatrix() is called the matrix will be properly preallocated but the nonzero structure and zero values will not be set.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMSetMatrixPreallocateOnly(DM dm, PetscBool only)

Logically Collective on DM

### Input Parameter

| dm | - the DM
| only | - PETSC_TRUE if only want preallocation

### See Also

DMCreateMatrix()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages